<?xml version="1.0" encoding="UTF-8"?>
<!-- Edited with XML Spy v2006 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:key name="by-country" match="cd" use="country"/>
	<xsl:template match="catalog">
		<html>
			<body>
				<h2>My CD Collection</h2>
				<xsl:apply-templates select="cd[generate-id(.) = generate-id(key('by-country', country)[1])]"/>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="cd">
		<b>
			<xsl:value-of select="country"/>
		</b>
		<ul>
			<xsl:for-each select="key('by-country', country)">
				<p>
					<xsl:apply-templates select="title"/>
					<xsl:apply-templates select="artist"/>
				</p>
			</xsl:for-each>
			CD# = <xsl:value-of select="count(key('by-country', country))"/>
		</ul>
	</xsl:template>
	<xsl:template match="title">
	  Title: <span style="color:#ff0000">
			<xsl:value-of select="."/>
		</span>
		<br/>
	</xsl:template>
	<xsl:template match="artist">
	  Artist: <span style="color:#00ff00">
			<xsl:value-of select="."/>
		</span>
		<br/>
	</xsl:template>
</xsl:stylesheet>
